SDL_error Struct Reference

`#include <SDL_error_c.h>`

## Data Fields

int | error
char | key [ERR_MAX_STRLEN]
int | argc
union {
void * value_ptr
int value_i
long value_l
double value_f
char buf [ERR_MAX_STRLEN]
} | args [ERR_MAX_ARGS]

## Detailed Description

Definition at line 33 of file SDL_error_c.h.

## Field Documentation

## argc

int SDL_error::argc

Definition at line 46 of file SDL_error_c.h.

Referenced by SDL_SetError().

## args

union { ... } SDL_error::args[ERR_MAX_ARGS]

Referenced by SDL_GetErrorMsg(), and SDL_SetError().

## buf

char SDL_error::buf[ERR_MAX_STRLEN]

Definition at line 56 of file SDL_error_c.h.

Referenced by SDL_SetError().

## error

int SDL_error::error

Definition at line 36 of file SDL_error_c.h.

Referenced by SDL_ClearError(), SDL_GetErrorMsg(), and SDL_SetError().

## key

char SDL_error::key[ERR_MAX_STRLEN]

Definition at line 43 of file SDL_error_c.h.

Referenced by SDL_GetErrorMsg(), and SDL_SetError().

## value_f

double SDL_error::value_f

Definition at line 55 of file SDL_error_c.h.

Referenced by SDL_GetErrorMsg(), and SDL_SetError().

## value_i

int SDL_error::value_i

Definition at line 53 of file SDL_error_c.h.

Referenced by SDL_GetErrorMsg(), and SDL_SetError().

## value_l

long SDL_error::value_l

Definition at line 54 of file SDL_error_c.h.

Referenced by SDL_GetErrorMsg(), and SDL_SetError().

## value_ptr

void* SDL_error::value_ptr

Definition at line 49 of file SDL_error_c.h.

Referenced by SDL_GetErrorMsg(), and SDL_SetError().

The documentation for this struct was generated from the following file:

- src/SDL_error_c.h